{% extends "/admin/master.twig" %}

{% block title %}Category editor{% endblock %}
{% block description %}Edit categories{% endblock %}

{% block body %}

    <form class="ui form" id="form" method="POST" action="/admin/categories/edit">

        <div class="ui error message"></div>

        <div class="field">
            <label>Category Name</label>
            <input name="name" placeholder="Category name" type="text" value="{{ category.name }}">
        </div>

        <div class="field">
            <label>Category description (supports markdown)</label>
            <textarea name="description" placeholder="Category description" type="text">{{ category.description }}</textarea>
        </div>

        <div class="field">
            <label>Category Image</label>
            <input name="image" placeholder="Category image link" type="text" value="{{ category.picture }}">
        </div>

        <input name="id" type="hidden" value="{{ category.id }}">
        <input type="hidden" name="token" value="{{ token }}">

        <button class="ui fluid button" type="submit">
            {{ category is empty ? 'Publish' : 'Confirm edit' }}
        </button>
    </form>

    {% block header %}
    {% endblock %}

    <script>
        $('.ui.form')
            .form({
                fields: {
                    name: {
                        identifier: 'name',
                        rules: [
                            {
                                type: 'empty',
                                prompt: 'Name cannot be empty'
                            }
                        ]
                    },
                    description: {
                        identifier: 'description',
                        rules: [
                            {
                                type: 'empty',
                                prompt: 'Description cannot be empty'
                            }
                        ]
                    }
                }
            })
        ;
    </script>

{% endblock %}
